From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/plotly/
Date: Sun, 27 Dec 2020 03:37:02 +0000 (UTC) [thread overview]
Message-ID: <1609039389.b9e1da402d5d7a1aae031b0a197b82e8b1fc1cd0.sam@gentoo> (raw)
commit: b9e1da402d5d7a1aae031b0a197b82e8b1fc1cd0
Author: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Wed Dec 23 06:04:20 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 03:23:09 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9e1da40
dev-python/plotly: version bump to 4.14.1
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
Closes: https://github.com/gentoo/gentoo/pull/18773
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/plotly/Manifest | 1 +
dev-python/plotly/plotly-4.14.1.ebuild | 29 +++++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index 3e25f85db56..5f28c863a26 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,2 +1,3 @@
DIST plotly-1.9.6.tar.gz 546722 BLAKE2B 5905af517ef40bc077492f01b49c367c0aa03a96accb86ec072e188a43e463c187a0b9dee3d0df33669aa6d600ed9127b067c7099947e5235331d14ce10bf33c SHA512 7564036ed3745fc06ee7428942e45ca6bfaefa1e47b08a5868a918924268ee632515f1de4bf3e90911234f18a4d85b092ecb6ef9f213b939093dcb433a12dec4
DIST plotly-4.10.0.tar.gz 6263967 BLAKE2B a78ddf286993621a555cc7f34a5ad0f44e93dcceb9bdac2a20f0cd80257e90485f20b4c89a350a3718b104401d7677a762231c6a774e5c2757a2de1454822875 SHA512 bc32dac7e5621b254c3868e85ed18133ad8341bed5784f707a89242c5e1ef9959afc603a91ccb068aca24032d3ff5b44678811c405d579284334f051f59f93aa
+DIST plotly-4.14.1.tar.gz 6373585 BLAKE2B 8e8d15a7f68bbef835fcbc0048c2457916aad1b10e06c903222030b2b2e1b902e2d42080f8ac2c19928dabd7e1623210930b9f33dededa71dbbb28b2f41f848c SHA512 e052680d0e7344b9f53f1b917dd0b9bc87b0c34300d93b8958ccb35b38f9dc5e7fb4db016d1113df4bae78c419f3d378112c59c3470723ce1349eaadbc5011f8
diff --git a/dev-python/plotly/plotly-4.14.1.ebuild b/dev-python/plotly/plotly-4.14.1.ebuild
new file mode 100644
index 00000000000..24a60e31680
--- /dev/null
+++ b/dev-python/plotly/plotly-4.14.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="https://plot.ly/python/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/retrying[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ mkdir -p "${ED}"/etc/ || die
+ mv "${ED}"/usr/etc/jupyter "${ED}"/etc/ || die
+ rmdir "${ED}"/usr/etc || die
+}
next reply other threads:[~2020-12-27 3:37 UTC|newest]
Thread overview: 47+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-27 3:37 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-15 14:19 [gentoo-commits] repo/gentoo:master commit in: dev-python/plotly/ Michał Górny
2025-03-25 8:15 Michał Górny
2025-03-18 7:31 Michał Górny
2024-09-13 3:12 Michał Górny
2024-08-30 1:38 Michał Górny
2024-08-17 16:55 Michał Górny
2024-05-19 6:02 Michał Górny
2024-05-02 2:00 Michał Górny
2024-05-02 2:00 Michał Górny
2024-04-18 5:34 Michał Górny
2024-03-14 4:22 Michał Górny
2024-03-09 18:30 Andrew Ammerlaan
2024-02-28 19:49 Arthur Zamarin
2024-02-16 5:40 Michał Górny
2023-12-30 18:30 Michał Górny
2023-11-25 0:26 Sam James
2023-10-26 13:37 Michał Górny
2023-09-16 3:03 Michał Górny
2023-08-17 8:36 Michał Górny
2023-08-12 3:27 Michał Górny
2023-07-24 11:32 Michał Górny
2023-06-09 2:47 Michał Górny
2023-04-08 6:08 Michał Górny
2023-04-06 3:07 Michał Górny
2023-03-30 2:57 Michał Górny
2023-02-25 6:06 Michał Górny
2023-01-29 11:44 Andrew Ammerlaan
2023-01-10 11:07 Arthur Zamarin
2022-12-21 6:46 Michał Górny
2022-10-28 7:09 Michał Górny
2022-10-12 19:22 Sam James
2022-08-12 11:23 Arthur Zamarin
2022-06-16 8:08 Michał Górny
2022-06-11 5:35 Arthur Zamarin
2022-05-16 13:24 Michał Górny
2022-04-05 17:55 Arthur Zamarin
2022-03-02 16:20 Andrew Ammerlaan
2021-10-17 9:13 Michał Górny
2021-08-24 18:41 Andrew Ammerlaan
2021-06-05 15:10 Andrew Ammerlaan
2021-02-13 10:14 David Seifert
2021-01-22 4:15 Sam James
2020-11-09 7:54 Benda XU
2019-09-25 20:03 Rick Farina
2018-06-24 16:21 Pacho Ramos
2016-03-22 22:22 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609039389.b9e1da402d5d7a1aae031b0a197b82e8b1fc1cd0.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox